=== swig/CMakeLists.txt ===
include(FindSWIG)
include(UseSWIG)

if( SWIG_FOUND )

include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${APT_INCLUDES} ${TC_INCLUDES} ${SIGC_INCLUDES}
 "/usr/include/python2.4" "/usr/lib/ruby/1.8/i486-linux" )

add_subdirectory( ruby )
add_subdirectory( python )

add_custom_target( swigified.i COMMAND ruby swigify-configuration.rb > swigified.i )
set_source_files_properties( ept.i PROPERTIES CPLUSPLUS ON SWIG_FLAGS "-I${TC_INCLUDES}" )

endif( SWIG_FOUND )
