=== swig/python/CMakeLists.txt ===
set_source_files_properties( ept.i PROPERTIES CPLUSPLUS ON SWIG_FLAGS "-I${TC_INCLUDES}" )
swig_add_module( eptpy python ept.i )
swig_link_libraries( eptpy apt-pkg ept tagcoll ${SIGC_LIBS} )
