=== swig/ruby/CMakeLists.txt ===
set_source_files_properties( ept.i PROPERTIES CPLUSPLUS ON SWIG_FLAGS "-I${TC_INCLUDES}" )
swig_add_module( eptrb ruby ept.i )
swig_link_libraries( eptrb apt-pkg ept tagcoll ${SIGC_LIBS} )
