=== debian/changelog ===
libept (0.4.7) unstable; urgency=high

  * Fixed deserialization of patches.
  * Urgency set to high because this allows #400994 to be fixed in debtags.

 -- Enrico Zini <enrico@debian.org>  Thu, 30 Nov 2006 19:21:46 +0000

libept (0.4.6) unstable; urgency=low

  [ Arnaud Fontaine ]
  * Changed submission address not to point at vitavonni.
    Closes: #399111.

  [ Enrico Zini ]
  * Build-depend on newer libtagcoll2-dev.

 -- Enrico Zini <enrico@debian.org>  Sat, 18 Nov 2006 16:21:17 +0100

libept (0.4.5) unstable; urgency=low
  
  [ Arnaud Fontaine ]
  * debian/control:
    - Add Homepage field.
    - Add myself as uploaders.
    - Update Standards-Version. No changes needed.
  * debian/copyright:
    - License the package under the GNU/GPL license.

  [ Enrico Zini ]
  * When saving the tag patch, Create ~/.debtags if it is missing.

 -- Enrico Zini <enrico@debian.org>  Mon, 30 Oct 2006 20:30:25 +0100

libept (0.4.4) unstable; urgency=low

  * Create ~/.debtags when generating user indexes, if it does not already
    exist

 -- Enrico Zini <enrico@debian.org>  Sun, 29 Oct 2006 19:57:40 +0100

libept (0.4.3) unstable; urgency=low

  * Added various missing Depends.  Closes: bug#391428.

 -- Enrico Zini <enrico@debian.org>  Sun,  8 Oct 2006 11:24:51 +0200

libept (0.4.2) unstable; urgency=low

  * Build without -gstabs+, as stabs is not supported in some architectures.

 -- Enrico Zini <enrico@debian.org>  Thu,  5 Oct 2006 00:56:24 +0200

libept (0.4.1) unstable; urgency=low

  * Added missing build-dep on cmake.  Closes: bug#390036.
  * Ported to new, faster coll::patched on tagcoll2.
  * Build-depend on new apt to ensure we do not hit #390189.

 -- Enrico Zini <enrico@debian.org>  Wed,  4 Oct 2006 09:17:22 +0200

libept (0.4.0) unstable; urgency=low

  * New upstream version with many API changes
  * Renamed as libept
  * Updated Standards-Version
  * Added README.Debian to document that libept is a static library built with
    -fPIC

 -- Enrico Zini <enrico@debian.org>  Sun, 24 Sep 2006 22:07:10 +0100

libapt-front (0.3.9) unstable; urgency=low

  * apt-index-watcher now runs another instance of itself to do the update.
    Closes: #357549.
  * Builds with GCC 4.1.  Closes: #357555.
  * Implemented package relationships in completeRecord()

 -- Enrico Zini <enrico@debian.org>  Sat, 18 Mar 2006 21:54:49 +0100

libapt-front (0.3.8) unstable; urgency=low

  * CHANGE: Use libtagcoll 1.6 with the new IntDiskIndex
  * CHANGE: Components now regenerate indexes during initialization when needed
  * CHANGE: Debtags update function no more exists: one now calls
    debtags::fetchNewData() before instantiating the components and the
    components will reindex as needed.
  * Created apt-index-watcher, to keep the on-disk index up to date when
    another application rebuilds the APT index.  Sadly, there doesn't seem to
    be any better way in a short or medium term.

 -- Enrico Zini <enrico@debian.org>  Fri,  3 Mar 2006 11:45:03 +0100

libapt-front (0.3.7) unstable; urgency=low

  * Install utils/comparable.h (was missing),
  * CHANGE: the actor user-visible names changed for improved usability,
  * CHANGE: Relation::targetPackages() now returns only those with
    versions satisfying the constraints (as it should),
  * NEW: Cache::isOpen() predicate,
  * NEW: component::Desktop allows getting group list of a custom
    entity range now (not only all groups in system),
  * NEW: entity::{Version,Package} now have md5sum, source and fileName
    accessors (available through component::Records)
  * slight optimization of filteredRange,
  * fixed intersectionRange to not walk past end of underlying range,
  * un-optimize name() lookups in packages, reduces memory usage
    while keeping nearly same speed,
  * use GenericName for a description() of Desktop entries that have
    no Comment

 -- Peter Rockai <me@mornfall.net>  Sun, 19 Feb 2006 21:20:04 +0100

libapt-front (0.3.6) unstable; urgency=low

  * CHANGE: ranges have end() and not last(), the semantics are same,
  * CHANGE: Range::next() is now a non-mutating successor generator,
    Range::advance() is a mutator,
  * CHANGE: no more Range::ensureSorted() mutator -- there's a non-mutating
    Range::sorted() accessor that gives an instance of the same range, however
    sorted
  * CHANGE: a mostly-compatible refactoring of entity::Package; if you relied
    on implementation details, your code may break now
  * CHANGE: entity::Relation::targetPackages() now traverses Provides:, as it should
  * CHANGE: no more cache::component::Packages::packages( iterator ), use
    packagesBegin() and packagesEnd() or the range accessors instead,
  * NEW: cache::component::Desktop -- parse .desktop files with special X-AppInstall-*
    entries, associate them with their packages, have entity::Desktop to manipulate
    them
  * NEW: SortedRange and UniqueRange adaptors, which present their underlying
    range in a sorted and in the latter case uniquized manner
  * NEW: Range::contains( element ) -- generic implementation only, O(n) so far
    (will optimize later)
  * NEW: aptFront::utils::Comparable mixin (implements > and == in terms of <)
  * NEW: cache::component::Packages::sorted() now gives a name-sorted range of
    entity::Package instances
  * NEW: cache::component::State::{installSize{,String},downloadSize{,String}}
    accessors -- what is needed to get system into currently marked up state
  * NEW: all cache::component implementations now have a Cache &cache() accessor
  * NEW: GeneratedRange, a range defined by a successor functor and a end-test
    functor
  * NEW: cache::component::State::{revert(),replay( range )}, former restores
    state that corresponds to current system and replay( range ) runs a list
    of actions recorded in the range (only one notification is fired)
  * (compatible) rewrite of component::History, more reliable now
  * reduce test data set, remove the download hacks,

