=== debian/control ===
Source: libept
Section: libdevel
Priority: optional
Maintainer: libapt-front developers <libapt-front-devel@lists.alioth.debian.org>
Uploaders: Peter Rockai <me@mornfall.net>, Enrico Zini <enrico@debian.org>, Michael Vogt <mvo@debian.org>, Arnaud Fontaine <arnaud@andesi.org>
Build-Depends: cdbs, debhelper (>> 4.1), dh-buildinfo, doxygen, libtool, libapt-pkg-dev (>= 0.6.46.1), libwibble-dev (>= 0.1.9), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.4), libtagcoll2-dev (<< 2.1), pkg-config, help2man, libsigc++-2.0-dev, cmake, libgc-dev, libboost-dev, libtut-dev
Standards-Version: 3.7.2.2

Package: libept-dev
Section: libdevel
Tag: devel::debian, devel::lang:c++, devel::library, implemented-in::c++, role::devel-lib, works-with::software:package
Architecture: any
Recommends: pkg-config
Depends: libsigc++-2.0-dev, libboost-dev, libgc-dev, libwibble-dev (>= 0.1.9), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.4), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.6.46.1)
Description: High-level library for managing Debian packages
 libapt-front is an high-level wrapper for libapt-pkg and libdebtags
 that makes it easier to develop package-aware applications such as
 package managers.
 .
 libapt-front is a joint effort by the debtags, ept and synaptic
 teams.
 .
  Homepage: http://web.mornfall.net/libept.html
