=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
# comment out autotools and uncomment cmake to use cmake
#include /usr/share/cdbs/1/class/autotools.mk
include debian/cmake.mk

DEB_CMAKE_EXTRA_FLAGS += -DOPT_FLAGS="" 

DEB_MAKE_CHECK_TARGET := check
# comment out CONFIGURE and uncomment CMAKE flags to use cmake
DEB_CONFIGURE_EXTRA_FLAGS += --disable-shared --with-pic
#DEB_CMAKE_EXTRA_FLAGS += -DBUILD_TESTING=ON

# Store build information
common-binary-post-install-arch common-binary-post-install-indep::
	dh_buildinfo
