## libept 0.4.7ubuntu2

=== tools/CMakeLists.txt ===
# XXX fixme
LINK_DIRECTORIES( /home/mornfall/dev/debian.fun/tagcoll-eriador/_build/default/tagcoll/.libs )

INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${APT_INCLUDES}
                     ${TC_INCLUDES} ${WIBBLE_INCLUDES} ${SIGC_INCLUDES} )
LINK_LIBRARIES( ept ${SIGC_LIBS} wibble tagcoll2 )
LINK_DIRECTORIES( ${APT_LINKDIRS} ${SIGC_LINKDIRS} )

ADD_EXECUTABLE( apt-cat apt-cat.cpp )
ADD_EXECUTABLE( apt-grep apt-grep.cpp )
#ADD_EXECUTABLE( dump-index dump-index.cpp )
#ADD_EXECUTABLE( manpage manpage.cc )
#ADD_EXECUTABLE( apt-index-watcher apt-index-watcher.cpp )

#TARGET_LINK_LIBRARIES( apt-cat ept )

#man_MANS = apt-index-watcher.8

#apt-index-watcher.8: apt-index-watcher manpage
#	./manpage apt-index-watcher > $@ || rm $@

#INCLUDES = $(LIBTAGCOLL_CFLAGS) -I$(top_srcdir)
