=== ept/tests/CMakeLists.txt ===
set( T "${CMAKE_CURRENT_SOURCE_DIR}/libept-check" )

add_custom_target( check COMMAND ${T}
  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/data-stamp )
link_directories( ${ept_BINARY_DIR} ${WIBBLE_LINKDIRS} )
file( GLOB testsrc cache_*.cpp predicate_*.cpp init.cpp tut-main.cpp )
file( GLOB systestsrc sys/*.cpp tut-main.cpp )
add_executable( libept-test ${testsrc} )
add_executable( libept-systest ${systestsrc} )
target_link_libraries( libept-test ept )
target_link_libraries( libept-systest ept )

add_dependencies( check libept-test )
add_dependencies( check libept-systest )

# test data generation
set( datadir ${CMAKE_CURRENT_SOURCE_DIR}/data )
set( listfile ftp.sk.debian.org_debian_dists_unstable_main_binary-i386_Packages )
add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/data-stamp
  COMMAND mkdir -p work/etc work/state/lists/partial
		           work/cache work/debtags
				   work/cache/archives/partial work/desktop
  COMMAND cp -a ${datadir}/packagelist work/state/lists/${listfile}
  COMMAND cp -a ${datadir}/etc/sources.list work/etc/
  COMMAND cp -a ${datadir}/dpkg-status work/
  COMMAND cp -a ${datadir}/desktop/*.desktop work/desktop/
  COMMAND cp ${datadir}/debtags/package-tags work/debtags/test.tag
  COMMAND cp ${datadir}/debtags/vocabulary work/debtags/test.voc
  COMMAND mkdir -p work/debtags/empty
  COMMAND mkdir -p work/debtags/user
  COMMAND touch data-stamp )

# add_custom_command(
#   OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/tut-syms.cpp
#   DEPENDS ${ept_BINARY_DIR}/libept.a
#   COMMAND ${CMAKE_SOURCE_DIR}/extract_syms.sh ${ept_BINARY_DIR}/libept.a ept_sym_references > tut-syms.cpp )
