=== debian/changelog ===
libept (0.4.7ubuntu2) feisty; urgency=low

  * Correct bad patch file.

 -- Steve Kowalik <stevenk@ubuntu.com>  Thu,  4 Jan 2007 00:46:25 +1100

libept (0.4.7ubuntu1) feisty; urgency=low

  * Add dpatch, and a patch that add pkgDepCache::writeStateFile as a no-op, 
    since Ubuntu's apt includes it, and Debian's does not.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed,  3 Jan 2007 23:44:42 +1100
