=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: libapt-front developers <libapt-front-devel@lists.alioth.debian.org>
 Uploaders: Peter Rockai <me@mornfall.net>, Enrico Zini <enrico@debian.org>, Michael Vogt <mvo@debian.org>, Arnaud Fontaine <arnaud@andesi.org>
-Build-Depends: cdbs, debhelper (>> 4.1), dh-buildinfo, doxygen, libtool, libapt-pkg-dev (>= 0.6.46.1), libwibble-dev (>= 0.1.9), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.4), libtagcoll2-dev (<< 2.1), pkg-config, help2man, libsigc++-2.0-dev, cmake, libgc-dev, libboost-dev, libtut-dev
+Build-Depends: cdbs, dpatch, debhelper (>> 4.1), dh-buildinfo, doxygen, libtool, libapt-pkg-dev (>= 0.6.46.1), libwibble-dev (>= 0.1.9), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.4), libtagcoll2-dev (<< 2.1), pkg-config, help2man, libsigc++-2.0-dev, cmake, libgc-dev, libboost-dev, libtut-dev
 Standards-Version: 3.7.2.2
 
 Package: libept-dev
