=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 # comment out autotools and uncomment cmake to use cmake
 #include /usr/share/cdbs/1/class/autotools.mk
 include debian/cmake.mk
+include /usr/share/cdbs/1/rules/dpatch.mk
 
 DEB_CMAKE_EXTRA_FLAGS += -DOPT_FLAGS=""
