## libept 0.5.10ubuntu2

=== debian/changelog ===
libept (0.5.10ubuntu2) gutsy; urgency=low

  * Fix build failure with g++-4.3.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Sep 2007 00:03:21 +0200

libept (0.5.10ubuntu1) gutsy; urgency=low

  * rebuild against latest apt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 03 Aug 2007 21:55:00 +0200

libept (0.5.10) unstable; urgency=low

  * ept-cache: allow to sort by package size and installed size
  * ept-cache: --debug will show useful information about the various steps
    involved in building the Xapian query
  * Removed unused TextSearch::search functions
  * Added TextSearch::docidByName
  * Added TextSearch::makePartialORQuery
  * Don't segfault when trying to index a vocabulary which contains a facet
    without tags
  * Improved description of ept-cache related
  * Reactivated --full switch that accidentally disappeared
  * Added a faq for ept-cache.  Closes: #431791.
  * Added a --cutoff option to choose limits for the quality of the results

 -- Enrico Zini <enrico@debian.org>  Fri, 06 Jul 2007 12:15:07 +0100

libept (0.5.9) unstable; urgency=low

  * More alignment fixes
  * Build-depend on graphwiz to get the documentation fully generated
  * Improved the result of xapian-based ept-cache search with popcon sorting

 -- Enrico Zini <enrico@debian.org>  Thu, 28 Jun 2007 14:20:01 +0200

libept (0.5.8) unstable; urgency=low

  * Properly link with xapian.  Closes: bug#430719.
  * Fixed an alignment problem, that should make it work on hppa, ia64 and
    sparc
  * Added a weekly cron job to rebuild the indexes.  Closes: #429949.
  * Fixed building the developer documentation.  Closes: #416036.

 -- Enrico Zini <enrico@debian.org>  Thu, 28 Jun 2007 02:30:17 +0200

libept (0.5.7) unstable; urgency=low

  * Apt record iterator also shows records of locally installed .debs
  * Xapian search query generator for packages similar to a given one
  * Implemented ept-cache related

 -- Enrico Zini <enrico@debian.org>  Wed, 20 Jun 2007 21:11:07 +0100

libept (0.5.6) unstable; urgency=low

  * Index tags in the Xapian index
  * Use tags to improve the quality of the search results
  * Some tweaks to popcon scoring

 -- Enrico Zini <enrico@debian.org>  Tue, 19 Jun 2007 21:12:31 +0100

libept (0.5.5) unstable; urgency=low

  * Fixed ept-cache handling of sorting, filtering and limits
  * Added xapian sort order

 -- Enrico Zini <enrico@debian.org>  Thu, 14 Jun 2007 11:17:18 +0100

libept (0.5.4) unstable; urgency=low

  * Conflicts on debtags << 0.7, as the index file format changed
  * Much faster startup time on most operations
  * Print tags even when apt doesn't have them

 -- Enrico Zini <enrico@debian.org>  Tue, 12 Jun 2007 19:35:56 +0100

libept (0.5.3) unstable; urgency=low

  * Properly catch Xapian exceptions in ept-cache
  * Remind to be root in case an exception is raised on reindex when run as
    non-root
  * Allow to build Xapian queries instead of directly filling in an Enquire

 -- Enrico Zini <enrico@debian.org>  Sun, 10 Jun 2007 16:27:24 +0100

libept (0.5.2) unstable; urgency=low

  * Add -lxapian in the .pc file
  * libept-dev now depends on libapt-pkg-dev

 -- Enrico Zini <enrico@debian.org>  Sat, 09 Jun 2007 23:26:57 +0100

libept (0.5.1) unstable; urgency=low

  * Popcon data source is now independent from Apt
  * TextSource data source is now independent from Apt
  * Debtags data source is now independent from Apt
  * Added popcon::Local data source
  * Implemented output sorting in ept-cache

 -- Enrico Zini <enrico@debian.org>  Thu, 07 Jun 2007 22:36:16 +0100

libept (0.5) unstable; urgency=low

  * Complete rewrite of the library.  Closes: #426874.
  * Added ept-cache commandline interface to the library.

 -- Enrico Zini <enrico@debian.org>  Wed, 06 Jun 2007 21:13:24 +0100

libept (0.4.8) unstable; urgency=low

  * Check for package validity before returning its tags.  Closes: #408095.

 -- Enrico Zini <enrico@debian.org>  Thu, 24 May 2007 13:30:11 +0200
