=== debian/control ===
Source: libept
Section: libdevel
Priority: optional
Maintainer: Enrico Zini <enrico@debian.org>
Uploaders: Peter Rockai <me@mornfall.net>, Arnaud Fontaine <arnaud@andesi.org>
Build-Depends: cdbs, debhelper (>> 5), dh-buildinfo, doxygen, graphviz, libtool, libapt-pkg-dev (>= 0.7.6), libwibble-dev (>= 0.1.10), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libtut-dev, libxapian-dev (>= 1.0.1)
Standards-Version: 3.7.2.2
XS-Vcs-Hg: http://hg.debian.org/hg/private/enrico/libept
XS-Vcs-Browser: http://hg.debian.org/hg/private/enrico/libept

Package: libept-dev
Section: libdevel
Architecture: any
Recommends: pkg-config
Depends: libept0 (= ${binary:Version}), libwibble-dev (>= 0.1.9), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.6.46.1), libxapian-dev
Conflicts: debtags (<< 0.7)
Description: High-level library for managing Debian package information
 The library defines a very minimal framework in which many sources of data
 about Debian packages can be implemented and queried together.
 .
 The library includes four data sources:
 .
  * APT: access the APT database
  * Debtags: access the Debtags tag information
  * Popcon: access Popcon package scores
  * TextSearch: fast Xapian-based full text search on package description
 .
 This is the development library.

Package: libept0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: High-level library for managing Debian package information
 The library defines a very minimal framework in which many sources of data
 about Debian packages can be implemented and queried together.
 .
 The library includes four data sources:
 .
  * APT: access the APT database
  * Debtags: access the Debtags tag information
  * Popcon: access Popcon package scores
  * TextSearch: fast Xapian-based full text search on package description
 .
 This is the shared library.

Package: ept-cache
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: debtags
Description: Commandline tool to search the package archive
 ept-cache is a simple commandline interface to the functions of libept.
 .
 It can currently search and display data from four sources:
 .
  * The APT database
  * The Debtags tag information
  * Popcon package scores
  * A fast Xapian-based full text index on package descriptions
