=== doc/CMakeLists.txt ===
add_custom_command(
  DEPENDS ept ${CMAKE_CURRENT_BINARY_DIR}/libept.dox
  OUTPUT doc-stamp
  COMMAND ${DOXYGEN} libept.dox && touch doc-stamp )

add_custom_target( doc DEPENDS doc-stamp )

configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/libept.dox.in
  ${CMAKE_CURRENT_BINARY_DIR}/libept.dox @ONLY IMMEDIATE )
