=== debian/changelog ===
libept (0.5.15) unstable; urgency=low

  [ Enrico Zini ]
  * Compiles with gcc 4.3.  Closes: #455334.
    Thanks Matthias Klose for the patch.
  * Builds with broken dash.  Closes: #459086.
    Thanks Daniel Hahler for the patch.
  * ept-cache depends on apt-xapian-index >= 0.5.  Closes: #457128.
  * ept-cache show works on multiple packages.  Closes: #462920.

  [ Petr Rockai ]
  * Enhancements to ept::core API, in support of Adept 3.0~alpha4.
  - Handle exceptions coming from _system-Lock().
  - AptException to slurp up _error into its context when being thrown.
  - Support for system upgrades in ActionList.
  - AptDatabase can be now told to use a custom OpProgress object.
  * Fix a bug in AptDatabase::openState() trying to use NULL pointer.

 -- Petr Rockai <mornfall@debian.org>  Mon, 10 Mar 2008 22:41:29 +0100

libept (0.5.14) unstable; urgency=low

  * Make the testsuite architecture-neutral, should fix build failures on
    all non-i386 arches.

 -- Petr Rockai <mornfall@debian.org>  Wed, 23 Jan 2008 12:18:44 +0100

libept (0.5.13) unstable; urgency=low

  * Merge my ept::core classes with Enrico's current libept iteration,
  * this makes the library capable of supporting future version of Adept,
  * use an internal copy of libwibble, with a new testing framework,
  * convert the testsuite to the new framework.
  
  * This release also contains a lot of duplicity between ept::core and
    ept::* classes, which will be gradually addressed by further releases.
  * The API under ept::core is *not* ABI-compatible between releases.
  * There is a static libept-core.a that only contains the ept::core
    functionality (but it is nevertheless linked into libept.so as well).

 -- Petr Rockai <mornfall@debian.org>  Fri, 18 Jan 2008 16:03:14 +0100

libept (0.5.12) unstable; urgency=low

  * Updated shlib deps.  Closes: bug#455748.

 -- Enrico Zini <enrico@debian.org>  Fri, 14 Dec 2007 12:22:48 +0100

libept (0.5.11) unstable; urgency=low

  * Use apt-xapian-index as the full text search index.
  * ept-cache reindex does not rebuild the full text index anymore.
  * Implemented --quiet for ept-cache reindex.  Closes: bug#432552.
  * ept-cache reindex calls update-apt-xapian-index.
  * Use --quiet in the cron job.
  * Check for existance of ept-cache in the cron job.  Closes: bug#435973.
  * Added missing includes.  Closes: bug#441522.

 -- Enrico Zini <enrico@debian.org>  Sat, 08 Dec 2007 16:54:58 +0000
