## libept 0.5.22

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 include( FindPkgConfig )
 include( FindDoxygen )
 
-set( EPT_VERSION "0.5.15" )
+set( EPT_VERSION "0.5.21" )
 set( APT_INCLUDES "/usr/include/" CACHE STRING "apt include path" )
 set( APT_LINKDIRS "/usr/lib/" CACHE STRING "apt library path" )
 set( OPT_FLAGS "-O0 -gstabs+" CACHE STRING "optimization level" )
