=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 add_executable( ept-search ept-search.cpp )
 add_executable( ept-cat ept-cat.cpp )
+add_executable( pkglist pkglist.cpp )
 add_executable( manpage manpage.cc )
 add_executable( ept-cache
   ept-cache.cc Environment.cc filters.cc info.cc )
