=== debian/changelog ===
libept (0.5.22) unstable; urgency=high

  * Add missing build-dependency on g++-4.2 on ARM.

 -- Petr Rockai <mornfall@debian.org>  Sat, 26 Jul 2008 12:35:14 +0200

libept (0.5.21) unstable; urgency=high

  * Compile with g++-4.2 on ARM.  Closes: #487408.
  * Fixed apt::Apt package iteration.  Closes: #491412.
  * Updated standards-version (no changes required)
  * Created ufficial repository in collab-maint, and updated Vcs headers.

 -- Enrico Zini <enrico@debian.org>  Tue, 22 Jul 2008 18:15:40 +0100

libept (0.5.20) unstable; urgency=low

  * Really fix the failure this time. Missed a sort on one of the tests.
  * Build-depend on libwibble-dev >= 0.1.19.

 -- Petr Rockai <mornfall@debian.org>  Tue, 17 Jun 2008 23:18:05 +0200

libept (0.5.19) unstable; urgency=low

  * Fix a semi-random testsuite failure due to an operator< in
    desktop::Entry not defining a partial order.

 -- Petr Rockai <mornfall@debian.org>  Tue, 17 Jun 2008 16:25:12 +0200

libept (0.5.18) unstable; urgency=low

  [ Enrico Zini ]
  * Detect when the apt cache changes even after package removal.
  * Fix a bug in build system that caused FTBFS with cmake 2.6.
    Closes: bug#482227.

  [ Petr Rockai ]
  * Added package::Source::upgradableList(),
  * add API bits for recognizing held packages,
  * slight refactorings of the ept::core API,
  * parser for .desktop files,
  * a desktop::Source for reading in directories of .desktop files
    (app-install-data style),
  * fix a grave bug in AptException (it wasn't deriving std::exception...).

 -- Petr Rockai <mornfall@debian.org>  Sat, 14 Jun 2008 12:49:08 +0200

libept (0.5.17) unstable; urgency=low

  * Updated shlibs file.
  * Build paths in a smart way.  Closes: bug#472999.
  * Fixed problem with new GCC.  Closes: bug#472821.

 -- Enrico Zini <enrico@debian.org>  Fri, 28 Mar 2008 01:29:11 +0800

libept (0.5.16) unstable; urgency=high

  * Build-depend on new wibble
  * Install documentation.  Closes: #471744.
  * Urgency set to high as it is part of fixing #472476.

 -- Enrico Zini <enrico@debian.org>  Tue, 25 Mar 2008 14:54:51 +0800
