=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,22 @@
 
 #DEB_CMAKE_EXTRA_FLAGS += -DOPT_FLAGS="" 
 
+
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifeq ($(DEB_HOST_ARCH),arm)
+# TODO workaround for g++ breakage on arm; debian bug #487406
+export CC=gcc-4.2
+export CXX=g++-4.2
+else
 # TODO workaround for cmake breakage; debian bug #459207
-CXX = /usr/bin/g++
-CC = /usr/bin/gcc
+export CXX = /usr/bin/g++
+export CC = /usr/bin/gcc
+endif
+
 
 DEB_MAKE_CHECK_TARGET := check
+
+DEB_DH_MAKESHLIBS_ARGS_libept0 = -V
 
 # comment out CONFIGURE and uncomment CMAKE flags to use cmake
 #DEB_CONFIGURE_EXTRA_FLAGS += --disable-shared --with-pic
@@ -26,3 +37,4 @@
 	mkdir -p debian/tmp/usr/share/doc/libept-dev/
 	cp -r ${DEB_BUILDDIR}/doc/html debian/tmp/usr/share/doc/libept-dev/
 	cp ${DEB_BUILDDIR}/doc/libept.doxytags debian/tmp/usr/share/doc/libept-dev/
+	gzip -9 debian/tmp/usr/share/doc/libept-dev/libept.doxytags
