## libept 0.5.26

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 include( FindPkgConfig )
 include( FindDoxygen )
 
-set( EPT_VERSION "0.5.21" )
+set( EPT_VERSION "0.5.25" )
 set( APT_INCLUDES "/usr/include/" CACHE STRING "apt include path" )
 set( APT_LINKDIRS "/usr/lib/" CACHE STRING "apt library path" )
-set( OPT_FLAGS "-O0 -gstabs+" CACHE STRING "optimization level" )
+set( OPT_FLAGS "-O0 -g" CACHE STRING "optimization level" )
 
 option( INTERNAL_TAGCOLL "use internal copy of tagcoll" )
 option( INTERNAL_WIBBLE "use internal copy of wibble" )
@@ -17,7 +17,7 @@
   set( WIBBLE_LIBRARIES "wibble" )
   set( WIBBLE_TEST_CMAKE "${wibble_SOURCE_DIR}/test.cmake" )
 else( INTERNAL_WIBBLE )
-  pkg_check_modules( WIBBLE REQUIRED "libwibble >= 0.1.12" )
+  pkg_check_modules( WIBBLE REQUIRED "libwibble >= 0.1.22" )
   find_program( WIBBLE_TEST_GENRUNNER wibble-test-genrunner )
   set( WIBBLE_TEST_CMAKE "${WIBBLE_PREFIX}/share/wibble/test.cmake" )
 endif( INTERNAL_WIBBLE )
