=== debian/changelog ===
libept (0.5.26) unstable; urgency=low

  * Disable Xapian quality cutoff to make the results more deterministic
    and easier to understand (clients are now expected to trim their
    result list somehow).
  * Try to match the whole search string as a package name prefix,
    improving the result sets.

 -- Petr Rockai <mornfall@debian.org>  Wed, 15 Oct 2008 20:24:21 +0200

libept (0.5.25) unstable; urgency=low

  * Improvements to core::xapian robustness plus a few bugfixes there,
  * add core::package::ActionList::latest() to get at the topmost action.

 -- Petr Rockai <mornfall@debian.org>  Sun, 17 Aug 2008 12:10:49 +0200

libept (0.5.24) experimental; urgency=low

  * Rework core::xapian for both improved API and possibilities,
  * add some invalidate() methods to keep sources from using expired data,
  * implement package::Source::get< package::AnyVersion >(),
  * don't interfere with apt-get's autoremove marking,
  * a few relatively minor bugfixes.

 -- Petr Rockai <mornfall@debian.org>  Tue, 05 Aug 2008 19:55:50 +0200

libept (0.5.23) experimental; urgency=low

  * Added core::xapian::Source::update() to refresh xapian index
    (calls out to update-apt-xapian-index),
  * optimize core::desktop performance,
  * fix an important performance issue in core::apt::package's revertStates(),
  * fix many compiler warnings.

 -- Petr Rockai <mornfall@debian.org>  Thu, 31 Jul 2008 13:30:26 +0200
