=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Enrico Zini <enrico@debian.org>
 Uploaders: Petr Rockai <mornfall@debian.org>, Arnaud Fontaine <arnaud@andesi.org>
-Build-Depends: cdbs, debhelper (>> 5), dh-buildinfo, doxygen, graphviz, libapt-pkg-dev (>= 0.6.46.1), libwibble-dev (>= 0.1.19), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libxapian-dev (>= 1.0.5), cmake, g++-4.2 [arm]
+Build-Depends: cdbs, debhelper (>> 5), dh-buildinfo, doxygen, graphviz, libapt-pkg-dev (>= 0.6.46.1), libwibble-dev (>= 0.1.21), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libxapian-dev (>= 1.0.5), cmake, g++-4.2 [arm]
 Standards-Version: 3.8.0
 Vcs-Darcs: http://darcs.debian.org/darcs/collab-maint/libept
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=collab-maint/libept;a=summary
@@ -12,7 +12,7 @@
 Section: libdevel
 Architecture: any
 Recommends: pkg-config
-Depends: libept0 (= ${binary:Version}), libwibble-dev (>= 0.1.15), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.6.46.1), libxapian-dev (>= 1.0.5)
+Depends: libept0 (= ${binary:Version}), libwibble-dev (>= 0.1.21), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.6.46.1), libxapian-dev (>= 1.0.5)
 Conflicts: debtags (<< 0.7)
 Description: High-level library for managing Debian package information
  The library defines a very minimal framework in which many sources of data
