## libept 0.5.26build1

=== debian/changelog ===
libept (0.5.26build1) jaunty; urgency=low

  * rebuild against latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 09 Feb 2009 16:22:36 +0100
